curl -X POST "https://api-integration.ollang.com/integration/folder/60b8d6f1e1b9b1d8c6c0d8e1/unassign-translator-from-orders" \
-H "X-Api-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{}'
curl -X POST "https://api-integration.ollang.com/integration/folder/60b8d6f1e1b9b1d8c6c0d8e1/unassign-translator-from-orders" \
-H "X-Api-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"sourceLanguage": "en",
"targetLanguage": "fr"
}'
const folderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const response = await fetch(
`https://api-integration.ollang.com/integration/folder/${folderId}/unassign-translator-from-orders`,
{
method: "POST",
headers: {
"X-Api-Key": "<your-api-key>",
"Content-Type": "application/json",
},
body: JSON.stringify({
sourceLanguage: "en",
targetLanguage: "fr",
}),
},
);
const data = await response.json();
console.log(`Unassigned ${data.unassignedCount} orders`);
import requests
folder_id = "60b8d6f1e1b9b1d8c6c0d8e1"
response = requests.post(
f"https://api-integration.ollang.com/integration/folder/{folder_id}/unassign-translator-from-orders",
headers={
"X-Api-Key": "<your-api-key>",
"Content-Type": "application/json",
},
json={
"sourceLanguage": "en",
"targetLanguage": "fr",
},
)
data = response.json()
print(f"Unassigned {data['unassignedCount']} orders")
{
"unassignedCount": 8
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
Ollang API Reference
Unassign Translator from Folder Orders
Batch unassign a translator from eligible orders in a folder with optional language filters
POST
/
integration
/
folder
/
{folderId}
/
unassign-translator-from-orders
curl -X POST "https://api-integration.ollang.com/integration/folder/60b8d6f1e1b9b1d8c6c0d8e1/unassign-translator-from-orders" \
-H "X-Api-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{}'
curl -X POST "https://api-integration.ollang.com/integration/folder/60b8d6f1e1b9b1d8c6c0d8e1/unassign-translator-from-orders" \
-H "X-Api-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"sourceLanguage": "en",
"targetLanguage": "fr"
}'
const folderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const response = await fetch(
`https://api-integration.ollang.com/integration/folder/${folderId}/unassign-translator-from-orders`,
{
method: "POST",
headers: {
"X-Api-Key": "<your-api-key>",
"Content-Type": "application/json",
},
body: JSON.stringify({
sourceLanguage: "en",
targetLanguage: "fr",
}),
},
);
const data = await response.json();
console.log(`Unassigned ${data.unassignedCount} orders`);
import requests
folder_id = "60b8d6f1e1b9b1d8c6c0d8e1"
response = requests.post(
f"https://api-integration.ollang.com/integration/folder/{folder_id}/unassign-translator-from-orders",
headers={
"X-Api-Key": "<your-api-key>",
"Content-Type": "application/json",
},
json={
"sourceLanguage": "en",
"targetLanguage": "fr",
},
)
data = response.json()
print(f"Unassigned {data['unassignedCount']} orders")
{
"unassignedCount": 8
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
Unassigns the translator from all eligible (assigned, ongoing) orders in the specified folder. Optionally filter by
sourceLanguage and/or targetLanguage to only unassign orders matching a specific language pair.
When no language filters are provided, all eligible orders in the folder are unassigned.
curl -X POST "https://api-integration.ollang.com/integration/folder/60b8d6f1e1b9b1d8c6c0d8e1/unassign-translator-from-orders" \
-H "X-Api-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{}'
curl -X POST "https://api-integration.ollang.com/integration/folder/60b8d6f1e1b9b1d8c6c0d8e1/unassign-translator-from-orders" \
-H "X-Api-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"sourceLanguage": "en",
"targetLanguage": "fr"
}'
const folderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const response = await fetch(
`https://api-integration.ollang.com/integration/folder/${folderId}/unassign-translator-from-orders`,
{
method: "POST",
headers: {
"X-Api-Key": "<your-api-key>",
"Content-Type": "application/json",
},
body: JSON.stringify({
sourceLanguage: "en",
targetLanguage: "fr",
}),
},
);
const data = await response.json();
console.log(`Unassigned ${data.unassignedCount} orders`);
import requests
folder_id = "60b8d6f1e1b9b1d8c6c0d8e1"
response = requests.post(
f"https://api-integration.ollang.com/integration/folder/{folder_id}/unassign-translator-from-orders",
headers={
"X-Api-Key": "<your-api-key>",
"Content-Type": "application/json",
},
json={
"sourceLanguage": "en",
"targetLanguage": "fr",
},
)
data = response.json()
print(f"Unassigned {data['unassignedCount']} orders")
Authorizations
This endpoint requires API key authentication. Include your API key in the request header:- Header name:
X-Api-Key - Header value: Your API key from the Ollang dashboard
Path Parameters
string
required
The unique identifier of the folder containing the orders.
Body Parameters
string
Filter by source language code (e.g.,
en). Only orders with this source language will be unassigned.string
Filter by target language code (e.g.,
fr). Only orders with this target language will be unassigned.Response
number
The number of orders that were successfully unassigned.
{
"unassignedCount": 8
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
Was this page helpful?